+++
title = "Política de privacitat"
path = "/ca/privacy"
date = 2023-10-31
updated = 2024-05-12
+++

Aquesta política de privacitat detalla com recollim i processem les teves dades en aquest lloc web.

{{ toc() }}

## Quines dades recollim?

### Navegació general {#what-general}

Mentre navegues pel lloc, no es recull cap informació personal.

### Comentaris {#what-comments}

No recollim cap dada quan envieu un comentari o reacció, però GitHub sí que ho fa per proporcionar el servei.

### Anàlisis {#what-analytics}

Per a la millora del lloc web, es recullen les dades no personals següents:

- **Referent**: la font que t'ha portat a aquest lloc.
- **URL sol·licitat**: la pàgina específica que visites.
- **Agent d'usuari**: identifica el navegador i el sistema operatiu que utilitzes (per exemple, "Safari 17.0, Mac OS X").
- **Nom del país**: el país des d'on estàs visitant, determinat per la teva adreça IP.
- **Mida de pantalla**: les dimensions de la pantalla del teu dispositiu.
- **Data i hora**: quan accedeixes al lloc.
- **Sessió de navegació**: un codi d'identificació temporal generat a partir de la adreça IP, informació del navegador i un número aleatori. Aquest s'utilitza per reconèixer la sessió de navegació durant 8 hores. Passat aquest temps, el codi s'esborra de la memòria i no s'emmagatzema enlloc.

No seguim els visitants únics a través de sessions, ni seguim quant de temps et quedes al lloc o on vas en marxar.

## Com recollim aquestes dades?

### Comentaris {#how-comments}

Les dades associades als comentaris es recullen utilitzant [giscus](https://giscus.app/), una plataforma que permet comentaris basada en GitHub.

### Anàlisis {#how-analytics}

Les dades no personals es recullen utilitzant una instància autoallotjada de [GoatCounter](https://www.goatcounter.com/), una plataforma d'anàlisis web de codi obert i respectuosa amb la privacitat.

## Com utilitzarem les dades?

Les dades enviades a GitHub s'utilitzen per mostrar el teu comentari al lloc.

Les dades no personals s'utilitzen per generar estadístiques sobre el lloc, com el nombre de visitants per dia, o les pàgines i referents més populars. Aquestes dades s'utilitzen per millorar aquest lloc de demostració i el tema tabi. Pots veure les estadístiques generades a partir d'aquestes dades a la [pàgina d'estadístiques públiques](https://tabi-stats.osc.garden/).

Totes les dades recollides estan públicament disponibles, ja sigui en forma de comentaris o estadístiques.

No utilitzem les dades per cap altre propòsit.

## Com emmagatzemem les dades?

Les dades dels comentaris no s'emmagatzemen per Giscus, tal com s'especifica a la seva [política de privacitat](https://github.com/giscus/giscus/blob/main/PRIVACY-POLICY.md#what-data-do-we-collect). Les dades s'emmagatzemen als servidors de GitHub. Vegeu la [política de privacitat de GitHub](https://docs.github.com/en/site-policy/privacy-policies/github-privacy-statement).

Les dades d'anàlisis s'emmagatzemen en un servidor allotjat per [Vultr](https://www.vultr.com/). El servidor es troba a París, França.

El servidor segueix les millors pràctiques de la indústria per a la seguretat, incloent actualitzacions de seguretat automàtiques, una política de seguretat de contingut estricta, un tallafocs, accés SSH basat en claus, etc.

## Quant de temps emmagatzemarem les dades?

Els comentaris s'emmagatzemen indefinidament, o fins que sol·licitis la seva eliminació.

La resta de dades s'emmagatzemen indefinidament.

## Quins són els teves drets de protecció de dades?

Depenent del processament i de la base legal, hi ha diverses possibilitats disponibles per a que mantinguis el control sobre les teves dades personals:

- Dret d'accés a les teves dades
- Dret de modificar les teves dades
- Dret d'oposar-se al processament de les teves dades personals
- Dret de limitar el processament de les teves dades
- Dret de supressió de les teves dades
- Dret de retirar el teu consentiment

Si fas una sol·licitud, tenim un mes per respondre't. Si vols exercir algun d'aquests drets, si us plau, posa't en contacte amb nosaltres utilitzant la icona de correu electrònic al peu de pàgina del lloc.

## Galetes (cookies)

El lloc no utilitza galetes.

## Polítiques de privacitat d'altres llocs web

Aquest lloc web conté enllaços a altres llocs web. Aquesta política de privacitat només s'aplica a aquest lloc web, així que si cliques en un enllaç cap a un altre lloc web, hauries de llegir la seva política de privacitat.

## Canvis a la política de privacitat

Mantindrem aquesta política de privacitat sota revisió regular i col·locarem qualsevol actualització en aquesta pàgina web. Pots veure l'última data d'actualització d'aquesta política de privacitat, així com l'historial de canvis sota el títol d'aquesta pàgina.

## Com posar-te en contacte amb nosaltres

Si tens alguna pregunta sobre aquesta política de privacitat, les dades que tenim sobre tu, o vols exercir algun dels teus drets de protecció de dades, si us plau, no dubtis a posar-te en contacte amb nosaltres utilitzant la icona de correu electrònic al peu de pàgina del lloc.
